curl --request GET \
--url https://api.plane.com/v1/reportings \
--header 'Authorization: Bearer <token>'{
"reportings": [
{
"id": "wrp_cNqYX2J3s9bI2Aa",
"worker": "wr_5yMmVvd6Cz7Ptx",
"department": {
"id": "dep_abc123",
"name": "Engineering"
},
"manager": {
"id": "wr_xyz789",
"name": "Jane Smith"
},
"created": "2024-01-15T00:00:00Z"
},
{...},
{...}
]
}
Returns a list of all reportings in your Plane workspace.
curl --request GET \
--url https://api.plane.com/v1/reportings \
--header 'Authorization: Bearer <token>'{
"reportings": [
{
"id": "wrp_cNqYX2J3s9bI2Aa",
"worker": "wr_5yMmVvd6Cz7Ptx",
"department": {
"id": "dep_abc123",
"name": "Engineering"
},
"manager": {
"id": "wr_xyz789",
"name": "Jane Smith"
},
"created": "2024-01-15T00:00:00Z"
},
{...},
{...}
]
}
starting_after is an object ID that defines your place in the
list. For instance, if you make a list request and receive 100 objects, ending with obj_foo,
your subsequent call can include starting_after=obj_foo in order to fetch the next page of the
list.ending_before=obj_bar in order to fetch the previous page of the
list.reportings property that contains an array of up to limit reportings, starting after reporting starting_after.
Each entry in the array is a separate reporting object. If no more reportings are available, the resulting array will be empty.
{
"reportings": [
{
"id": "wrp_cNqYX2J3s9bI2Aa",
"worker": "wr_5yMmVvd6Cz7Ptx",
"department": {
"id": "dep_abc123",
"name": "Engineering"
},
"manager": {
"id": "wr_xyz789",
"name": "Jane Smith"
},
"created": "2024-01-15T00:00:00Z"
},
{...},
{...}
]
}
Was this page helpful?